Comments

21 Comments

OK. The sooner the better. This version mismatch is breaking git fetches right now.

BZ#1426035 UserWarning: 'git_checkout_notify_t'

Since this has been in testing for 14 days, can we get it pushed to stable?

BZ#1426035 UserWarning: 'git_checkout_notify_t'

Tested on CentOS 7.3 and confirmed functionality.

BZ#1426035 UserWarning: 'git_checkout_notify_t'

I can confirm that it works now, there are warnings on import but these are due to upstream code in pygit2.

%  docker run --rm -it centos:7.3.1611
[root@f7e045eed3d5 /]# yum -y install epel-release >/dev/null 2&>1; yum -y install python-pygit2 >/dev/null 2&>1
[root@f7e045eed3d5 /]# rpm -q python-pygit2

python-pygit2-0.21.4-2.el7.x86_64 [root@f7e045eed3d5 /]# curl --silent -L -O https://kojipkgs.fedoraproject.org//packages/python-pygit2/0.21.4/3.el7/x86_64/python-pygit2-0.21.4-3.el7.x86_64.rpm [root@f7e045eed3d5 /]# rpm -Uvh python-pygit2-0.21.4-3.el7.x86_64.rpm Preparing... ################################# [100%] Updating / installing... 1:python-pygit2-0.21.4-3.el7 ################################# [ 50%] Cleaning up / removing... 2:python-pygit2-0.21.4-2.el7 ################################# [100%] [root@f7e045eed3d5 /]# python -c 'import pygit2' /usr/lib64/python2.7/site-packages/cffi/model.py:526: UserWarning: 'git_checkout_notify_t' has no values explicitly defined; next version will refuse to guess which integer type it is meant to be (unsigned/signed, int/long) % self._get_c_name()) /usr/lib64/python2.7/site-packages/cffi/model.py:526: UserWarning: 'git_merge_tree_flag_t' has no values explicitly defined; next version will refuse to guess which integer type it is meant to be (unsigned/signed, int/long) % self._get_c_name())

BZ#1400668 python-pygit2-0.21.4-2.el7 breaks due to new python-cffi in rhel 7.3

@jcollie: Yeah, I think the reasoning for building it here is to have it available for people to download from the fedora pkgdb website if they want to. Only the 2016.11.2 build will be pushed to stable.

+1

Nope, just me being busy. Pushing now.

Thanks for taking the time to test and confirm.

Thanks, this fix was backported but apparently this was done just after 2015.5.10 was cut. I assumed incorrectly that the fix had made it. I'm patching it into a new build, the new builds should be added to bodhi in the next couple hours.

Confirmed that installing this package pulls in python26-distribute as well. Thanks!

Works, thank you

Works